// IE ActiveX Embeded Patch
function echo(text)
{
	document.write(text);
}

function toggleVisualEditorMode()
{
	if (g_bVisualEditor)
	{
		setVisualEditorMode(false);
	}
	else
	{
		setVisualEditorMode(true);
	}
	g_bVisualEditor = !g_bVisualEditor;
}

function setVisualEditorMode(bVisual)
{
	var o1 = document.getElementById(g_sVisualEditor);
	var o2 = document.getElementById(g_sVisualEditor+"_code");

	if (bVisual)
	{
		o1.innerHTML = o2.value;
		show(o1);
		show(divToolbarsVisualTags);
		hide(o2);
		o1.focus();
	}
	else
	{
		o2.value = o1.innerHTML;
		hide(o1);
		hide(divToolbarsVisualTags);
		show(o2);
		o2.focus();
	}
}

function finalizeVisualEditor()
{
	var o1 = document.getElementById(g_sVisualEditor);
	var o2 = document.getElementById(g_sVisualEditor+"_code");

	if (g_bVisualEditor==true)
	{
		var sHTML = o1.innerHTML;
	}
	else
	{
		var sHTML = o2.value;
	}
	DivVisualEditorChecker.innerHTML = sHTML;
	o2.value = DivVisualEditorChecker.innerHTML;
}

function captureEnterKey()
{
    if (event.keyCode == 13)
	{
        if (event.shiftKey != false)
		{
            var sel = document.selection.createRange();
            sel.pasteHTML('<br />');
            event.cancelBubble = true;
            event.returnValue = false;
            sel.select();
            sel.moveEnd("character", 1);
            sel.moveStart("character", 1);
            sel.collapse(false);
            return false;
        }
        else
		{
            return event.keyCode = 13;
		}
    }
}


function fx(nNewPadding)
{
	var el = event.srcElement;
	while (el.tagName!="TD")
		el = el.parentElement;
	var nPadding = parseInt(el.getAttribute("nPadding"));
	el.style.paddingTop=nPadding+nNewPadding;
}

function defx()
{
	var el = event.srcElement;
	while (el.tagName!="TD")
		el = el.parentElement;
	var nPadding = parseInt(el.getAttribute("nPadding"));
	el.style.paddingTop = nPadding;
}


function show(obj)
{
	obj.style.display = "";
}


function toggle(obj)
{
	if (obj.style.display == 'none')
		obj.style.display = '';
	else
		obj.style.display = 'none';
}


function hide(obj)
{
	obj.style.display = "none";
}

function visualTag(sTag,obj,opt)
{
	obj.focus();
	var rng = obj.document.selection.createRange();
	switch(sTag)
	{
		case "face" : //۲
			obj.document.execCommand("fontname", false, opt); 
			obj.focus(); 
			break;

		case "size" : //۲û
			obj.document.execCommand("fontsize", false, opt); 
			obj.focus();
			break;

		case "bold":
			obj.document.execCommand("Bold",false,null);
			obj.focus();
			break;

		case "italic":
			obj.document.execCommand("Italic",false,null);
			obj.focus();
			break;

		case "underline":
			obj.document.execCommand("Underline",false,null);
			obj.focus();
			break;

		case "strike":
			obj.document.execCommand("StrikeThrough",false,null);
			obj.focus();
			break;

		case "justifyleft":	// P 
			obj.document.execCommand("justifyleft",false,null);
			obj.focus();
			break;
		case "justifycenter":
			obj.document.execCommand("justifycenter",false,null);
			obj.focus();
			break;
		case "justifyright":
			obj.document.execCommand("justifyright",false,null);
			obj.focus();
			break;
		case "justifyfull":
			obj.document.execCommand("justifyfull",false,null);
			obj.focus();
			break;

		case "insertImage":
			var rnd = Math.random();
			window.showModalDialog("/editor/Miniwini/dialogInsertImage.asp?rnd="+rnd,obj,"status:no;dialogWidth:460px;dialogHeight:350px");
			break;

		case "insertPic":
			var rnd = Math.random();
			window.showModalDialog("/editor/Miniwini/dialogInsertPic.asp?rnd="+rnd,obj,"status:no;dialogWidth:460px;dialogHeight:520px");
			break;

		case "color":
			var sColor = getColorFromColorDlg();
			obj.document.execCommand("ForeColor",false,sColor);
			obj.focus();
			break;

		case "bgcolor":
			var sColor = getColorFromColorDlg();
			obj.document.execCommand("BackColor",false,sColor);
			obj.focus();
			break;

		case "hilite":
			obj.document.execCommand("BackColor",false,"FFFF00");
			obj.document.execCommand("ForeColor",false,"000000");
			break;

		case "nohilite":
			obj.document.execCommand("BackColor",false,"ffffff");
			obj.document.execCommand("ForeColor",false,"000000");
			break;

		case "sup":
			obj.document.execCommand("Superscript",false,null);
			obj.focus();
			break;

		case "createLink":
			var rnd = Math.random();
			window.showModalDialog("/editor/Miniwini/dialogCreateLink.asp?rnd="+rnd,obj,"status:no;dialogWidth:540px;dialogHeight:500px");
			break;

		case "insertEmoticons":
			var rnd = Math.random();
			window.showModalDialog("/editor/Miniwini/dialogInsertEmoticons.asp?rnd="+rnd,obj,"status:no;dialogWidth:500px;dialogHeight:400px");
			break;

		case "aword":
			var rnd = Math.random();
			window.showModalDialog("/editor/Miniwini/dialogInsertAword.asp?rnd="+rnd,obj,"status:no;dialogWidth:295px;dialogHeight:328px");
			break;

		case "insertFlash":	// ÷ ֱ
			var rnd = Math.random();
			window.showModalDialog("/editor/Miniwini/dialogInsertFlash.asp?rnd="+rnd,obj,"status:no;dialogWidth:460px;dialogHeight:380px");
			break;
		
		case "ShowHide":
			var rnd = Math.random();
			window.showModalDialog("/editor/Miniwini/dialogShowHide.asp?rnd="+rnd,obj,"status:no;dialogWidth:540px;dialogHeight:500px");
			break;

		case "instable":	// ̺ ֱ
			var rnd = Math.random();
			window.showModalDialog("/editor/Miniwini/dialogInstable.asp?rnd="+rnd,obj,"status:no;scroll:yes;resizable:no;dialogWidth:450px;dialogHeight:460px");
			break;

		case "InsertBox":	// ڽ ֱ
			var rnd = Math.random();
			window.showModalDialog("/editor/Miniwini/dialogBox.asp?rnd="+rnd,obj,"status:no;resizable:yes;dialogWidth:580px;dialogHeight:300px");
			break;

		case "undo": //
			obj.document.execCommand("Undo",false,null);
			obj.focus();
			break;
		case "redo": //ٽý
			obj.document.execCommand("Redo",false,null);
			obj.focus();
			break;

		case "remove": //±
			obj.document.execCommand("RemoveFormat",false,null);
			obj.focus();
			break;
		case "unlink": //ũ
			obj.document.execCommand("Unlink",false,null);
			obj.focus();
			break;
		case "subscript": //Ʒ÷
			obj.document.execCommand("SubScript",false,null);
			obj.focus();
			break;
		case "superscript": //÷
			obj.document.execCommand("SuperScript",false,null);
			obj.focus();
			break;
		case "orderedlist": //ȣ ű
			obj.document.execCommand("InsertOrderedList",false,null);
			obj.focus();
			break;
		case "unorderedlist": //۸Ӹȣ
			obj.document.execCommand("InsertUnorderedList",false,null);
			obj.focus();
			break;
		case "outdent": //
			obj.document.execCommand("Outdent",false,null);
			obj.focus();
			break;
		case "indent": //鿩
			obj.document.execCommand("Indent",false,null);
			obj.focus();
			break;
		case "copy": //
			obj.document.execCommand("Copy",false,null);
			obj.focus();
			break;
		case "paste": //ٿֱ
			obj.document.execCommand("Paste",false,null);
			obj.focus();
			break;
		case "cut": //߶󳻱
			obj.document.execCommand("Cut",false,null);
			obj.focus();
			break;

		case "print": //Ʈ
			obj.document.execCommand("Print",false,null);
			obj.focus();
			break;

		case "selectall": //ü
			obj.document.execCommand("SelectAll",false,null);
			obj.focus();
			break;

		case "color2":
			obj.document.execCommand("ForeColor",false,opt);
			break;

		case "bgcolor2":
			obj.document.execCommand("BackColor",false,opt);
			break;

		case "pagebreak":
			rng.pasteHTML("<div style=\"PAGE-BREAK-AFTER: always\"><span style=\"DISPLAY: none\">&nbsp;</span></div>");
			obj.focus();
			break;

		case "insertLine":
			var rnd = Math.random();
			window.showModalDialog("/editor/Miniwini/dialogLine.asp?rnd="+rnd,obj,"status:no;scroll:yes;resizable:no;dialogWidth:440px;dialogHeight:300px");
			break;

	}
}



function setImgAlignType(sAlign)
{
	document.all.imgAlign1.className = "imgAlign";
	document.all.imgAlign2.className = "imgAlign";
	document.all.imgAlign3.className = "imgAlign";

	event.srcElement.className = "imgAlignOn";
	g_sAlign = sAlign;
}


function detectAgentVersion()
{
    var ua = window.navigator.userAgent
    var msie = ua.indexOf ("MSIE ")
    
    if ( msie > 0 )
        return parseFloat(ua.substring(msie+5,ua.indexOf(";", msie)))
    else
        return 0
}


function changeBorderColor(obj)
{
	if (detectAgentVersion()>=6)
	{
		var sColor = getColorFromColorDlg();
		obj.style.backgroundColor = sColor;
		g_sBorderColor = "#"+sColor;
	}
	else
		return;
}


function getColorFromColorDlg()
{
	var dlgHelper = document.getElementById("dlgHelper");
	if (detectAgentVersion()>=6)
	{
		sInitColor = null;
		var sColor = dlgHelper.ChooseColorDlg(sInitColor);

		sColor = sColor.toString(16);

		if (sColor.length < 6)
		{
			var sTempString = "000000".substring(0,6-sColor.length);
			sColor = sTempString.concat(sColor);
		}
		return sColor;
	}
}


function playMultimediaFile(sUri,obj)
{
	var nPlayState = obj.getAttribute("isPlaying");
	if (nPlayState==0)
	{
		el = obj.previousSibling;
		while (el.tagName!="A")
			el = el.previousSibling;

		var oMedia = document.createElement("EMBED");
		oMedia.style.display = "block";
		oMedia.src = sUri;
		oMedia.autostart = true;
		obj.parentNode.appendChild(oMedia);

		obj.setAttribute("isPlaying",1);
	}
	else
	{
		alert("̹ Դϴ");
		return;
	}
}


// for Show & Hide
function layer_toggle(obj) { 
	if (obj.style.display == 'none') obj.style.display = 'block';
	else if (obj.style.display == 'block') obj.style.display = 'none';
}

// png İ 츮
// ձ 𼭸  ε巴 óϰ 
// ̹  ̱  κ  png ̹ ϴ.
// ۼ  ̴ κп ̰  ǰ
document.writeln("<style type='text/css'>");
document.writeln(".png24 { tmp:expression(setPng24(this)); }");
document.writeln("</style>");

function setPng24(obj) {
    obj.width=obj.height=1;
    obj.className=obj.className.replace(/\bpng24\b/i,'');
    obj.style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+ obj.src +"',sizingMethod='image');";
    obj.src='';
    return '';
}

// ±   ũƮ
/// div  (div  ܿ, Ÿ ±   ũƮ) 
/// ó - ˸(http://foulup.nazzim.net/)
function Addtag(prefix, postfix) {
	if (document.getElementById('iView').style.display != 'none') {
		var ts = document.selection ? document.selection.createRange().text : document.getSelection();
		if (ts == '') {
			alert('\n ±׸ ߰   ּ.\t\n\n(콺 巡 Ǵ shift + Ű)');
			return;
		}
		var oRng = document.selection.createRange();
		var g_sSelected = oRng.htmlText;
		var sHTML = prefix + g_sSelected + postfix;

		oRng.pasteHTML(sHTML);    
		document.getElementById('iView').focus(); }
	else { alert("ҽ â  ʽϴ\nâ ȯϽð ϼ..^^\;"); }
}
